/**
 * ActRelationshipCostTracking.java
 *
 * File generated from the medication::ActRelationshipCostTracking uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipCostTracking.
 *
 * 
 */

@XmlType(name = "ActRelationshipCostTracking")
@XmlEnum
@XmlRootElement(name = "ActRelationshipCostTracking")
public enum ActRelationshipCostTracking {
	@XmlEnumValue("CHRG")
	CHRG("CHRG"),
	@XmlEnumValue("COST")
	COST("COST");
	
	private final String value;

    ActRelationshipCostTracking(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActRelationshipCostTracking fromValue(String v) {
        for (ActRelationshipCostTracking c: ActRelationshipCostTracking.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}